using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;
using Dao;
using RCUHost;
using RCUHost.Protocols;

namespace Service.Implement
{
    public class HostRCUManager : GenericManagerBase<HostRCU>, IHostRCUManager
    {
        public IQueryable<HostRCU> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID)
        {
            return ((IHostRCURepository)CurrentRepository).LoadAllByPage(out total, page, rows, order, sort, hotelID);
        }

        public HostRCU GetByHostID(int hostID)
        {
            return ((IHostRCURepository)CurrentRepository).GetByHostID(hostID);
        }

        public List<HostRCU> LoadAll(int hotelID)
        {
            return ((IHostRCURepository)CurrentRepository).LoadAll(hotelID);
        }
    }
}
